Software Requirements

For best performance, stability, support, and full functionality we officially recommend:

Platform Options

Operating System

Ubuntu 18.04 LTS

Database

MariaDB 10+

Web server

Apache 2.4 with prefork and mod_php

PHP Runtime

7.3

Officially Supported Environments

For best performance, stability, support, and full functionality we officially support:

Server

Platform Options

Operating System

  • Ubuntu 16.04 and 18.04

  • Debian 8 and 9

  • SUSE Linux Enterprise Server 12 with SP4 and 15

  • Red Hat Enterprise Linux/Centos 7.5 and 8

  • Fedora 28 and 29

  • openSUSE Leap 42.3 and 15

Database

  • MySQL 8+ or MariaDB 10+ (RECOMMENDED)

  • Oracle 12g

  • PostgreSQL 9 (versions 10 and above are not yet supported)

  • SQLite (NOT FOR PRODUCTION)

Web server

PHP Runtime

  • 7.0, 7.1, 7.2, and 7.3

If you use Ubuntu 16.04 and want to use PHP 7.x:

  • PHP 7.2 is only available via PPA. To add a PPA (Personal Package Archive) to your system, use this command: sudo add-apt-repository ppa:user/ppa-name.

  • PHP 7.2 standard installable, but you have to install some mandatory modules yourself, such as intl.

It is recommended to use PHP 7.3 as older versions have reached EOL and will be deprecated for use with ownCloud Server in a future release.

  • Red Hat Enterprise Linux & Centos 7 are 64-bit only.

  • Oracle 11g is only supported for the Enterprise edition.

  • SQLite is NOT FOR PRODUCTION.

The following database settings are currently required if you’re running ownCloud together with a MySQL or MariaDB database:

Mobile

  • iOS 9.0+

  • Android 4.4+

Web Browser

  • Edge (current version on Windows 10)

  • IE11 or newer (except Compatibility Mode)

  • Firefox 60 ESR or newer

  • Chrome 66 or newer

  • Safari 10 or newer

Hypervisors

  • Hyper-V

  • VMware ESX

  • Xen

  • KVM

Desktop

  • Windows 7+

  • Mac OS X 10.10+ (64-bit only)

  • CentOS 7 (64-bit only)

  • Debian 8.0 & 9.0

  • Fedora 29 & 30

  • Ubuntu 16.04 & 18.04

  • openSUSE Leap 42.3 & openSUSE 15

For Linux distributions, we support, if technically feasible, the latest 2 versions per platform and the previous LTS.

Clients and Mobile Apps

We always recommend to use the newest clients and mobile apps with the latest server release. You can find out more here: https://owncloud.org/changelog